@use "../custom" as *;
@use "../components/mixins" as *;

.portfolio {
  padding-bottom: 3rem;

  h1 {
    text-shadow: -3px 3px 5px rgb(58, 50, 50, 0.3);
  }

  button {
    text-transform: capitalize;
  }
}
.portfolio-box {
  position: relative;
  width: 100%;
  max-height: 18.5rem;
  overflow: hidden;
  margin-bottom: 1.2rem;
  border-top: 0.5rem solid $gray-500;
  border-bottom: 0.5rem solid $gray-500;
  border-radius: 0.8rem;
  img {
    width: 100%;
    object-fit: cover;
  }

  .portfolio-info {
    background-color: rgba(255, 82, 140, 0.5);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    visibility: hidden;

    .caption {
      text-align: center;
      color: $white;
      @include absoluteCenter;
      h4 {
        text-transform: uppercase;
        display: block;
      }
    }
  }
  &:hover {
    img {
      transform: scale(1.5);
      @include transitionProperty;
    }
    .portfolio-info {
      opacity: 1;
      visibility: visible;
      @include transitionProperty;
      cursor: pointer;
    }
  }
}

.ofc {
  position: relative;
  width: 26rem;

  .first {
    font-size: 1.5rem;
    color: $secondary;
  }
}
.p_int,
.pCan {
  display: block;
  padding-top: 3rem;
  color: $black;
}

.pCan {
  text-align: justify;
  padding-top: 2rem;
  padding-left: 2rem;
  padding-right: 3.5rem;
}

// YOUTUBE BUTTON
.btn-rounded-1 {
  position: relative;
  padding: 1rem;
  padding-left: 3.5rem;
  padding-right: 3.5rem;
  font-weight: 700;
  margin-top: 2rem;
  color: $black;
  background-color: $white;

  @include media-breakpoint-down(sm) {
    padding-right: 2rem;
    padding-left: 2rem;
  }

  &:hover {
    background-color: maroon;
    transition: 0.5s;
    color: $white;
    border: 0.1rem solid rgb($white, 0.8);
  }
}
